/*******************************************************************************
 * FoxWeaponAmmo_Base generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeaponAmmo_Base extends FoxWeaponModObjectBase
    abstract
    native(Weapon)
    config(AmmoTypes);

var const class<Projectile> ProjectileClass;
var const class<DamageType> DamageTypeClass;
var const Engine.Weapon.EWeaponFireType WeaponFireType;
var const FoxTypes.EImpactTypes ImpactType;
var const AkEvent FPFireSound;
var const AkEvent TPFireSound;
var const float MomentumMultipler;
var const Vector MuzzleFlashColor;
var const LinearColor TracerColor;
var const bool bElemental;

static function bool SetupAmmoType(FoxWeapon SelectedWeapon)
{
    // End:0x1AA
    if(SelectedWeapon.default.WeaponFireTypes[0] == 1)
    {
        SelectedWeapon.WeaponFireTypes[SelectedWeapon.0] = default.WeaponFireType;
        // End:0x10F
        if(default.ProjectileClass != none)
        {
            SelectedWeapon.WeaponProjectiles[SelectedWeapon.0] = default.ProjectileClass;
            SelectedWeapon.InstantHitDamageTypes[SelectedWeapon.0] = default.ProjectileClass.default.MyDamageType;
        }
        // End:0x1A5
        else
        {
            // End:0x1A5
            if(default.DamageTypeClass != none)
            {
                SelectedWeapon.InstantHitDamageTypes[SelectedWeapon.0] = default.DamageTypeClass;
                SelectedWeapon.KillMomentumScalar = SelectedWeapon.default.KillMomentumScalar * default.MomentumMultipler;
            }
        }
        return true;
    }
    // End:0x242
    else
    {
        // End:0x242
        if(default.DamageTypeClass != none)
        {
            SelectedWeapon.InstantHitDamageTypes[SelectedWeapon.0] = default.DamageTypeClass;
            SelectedWeapon.KillMomentumScalar = SelectedWeapon.default.KillMomentumScalar * default.MomentumMultipler;
            return true;
        }
    }
    return false;
    //return ReturnValue;    
}

static function FoxTypes.EImpactTypes GetImpactEffectType()
{
    return default.ImpactType;
    //return ReturnValue;    
}

defaultproperties
{
    MomentumMultipler=1.0
    TracerColor=(R=0.0,G=0.0,B=0.0,A=1.0)
    begin object name=NewFPMesh class=FoxFirstPersonSkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: FoxFirstPersonSkeletalMeshComponent'Default__FoxWeaponAmmo_Base.NewFPMesh'
    FPMesh=NewFPMesh
    UnlockID=-1
    WhiteRecievers(0)="FoxWeapon_SMG"
    WhiteRecievers(1)="FoxWeapon_AssaultRifle"
    WhiteRecievers(2)="FoxWeapon_SniperRifle"
    WhiteRecievers(3)="FoxWeapon_SMG"
    WhiteRecievers(4)="FoxWeapon_BKT"
    WhiteRecievers(5)="FoxWeapon_Bullpup"
    WhiteRecievers(6)="FoxWeapon_BASniper"
    WhiteRecievers(7)="FoxWeapon_9mmPistol"
    WhiteRecievers(8)="FoxWeapon_45Pistol"
    WhiteRecievers(9)="FoxWeapon_AutoPistol"
    WhiteRecievers(10)="FoxWeapon_Revolver"
    WhiteRecievers(11)="FoxWeapon_MachinePistol"
    WhiteRecievers(12)="FoxWeapon_Shotgun"
    WhiteRecievers(13)="FoxWeapon_Revolver"
    WhiteRecievers(14)="FoxWeapon_AR2"
    WhiteRecievers(15)="FoxWeapon_RBKT"
    WhiteRecievers(16)="FoxWeapon_SMG2"
    WhiteRecievers(17)="FoxWeapon_SMGi"
    WhiteRecievers(18)="FoxWeapon_AutoShotgun"
    WhiteRecievers(19)="FoxWeapon_Bullpup2"
    WhiteRecievers(20)="FoxWeapon_M4"
    WhiteRecievers(21)="FoxWeapon_AK47"
    WhiteRecievers(22)="FoxWeapon_AR3"
    WhiteRecievers(23)="FoxWeapon_SniperRifle2"
    WhiteRecievers(24)="FoxWeapon_SnubNose"
    WhiteRecievers(25)="FoxWeapon_Gold9mmPistol"
    WhiteRecievers(26)="FoxWeapon_GoldAssaultRifle"
}